Przyjazne użytkownikom polskie wsparcie phpBB 3.0

Twoja przeglądarka jest przestarzała i nie wspiera obecnych standardów WWW.
Zalecamy instalację najnowszej wersji jednej z przeglądarek, które poprawnie obsługują obecne standardy, np:

  • Arora
  • Chrome
  • Firefox
  • Opera
  • Safari

phpBB3pl-r210 [dla 3.0.11]

phpBB3pl-r210 [dla 3.0.11]

Postprzez LEW21 » 13 wrz 2012, o 19:29 ·

W związku z błędem w spolszczeniu r209 wydajemy nową wersję - r210. Zmienił się tylko jeden plik - language/pl/acp/profile.php - dlatego, aby zaktualizować spolszczenie, wystarczy go podmienić.

Download

Dostępna jest również paczka zawierająca phpBB 3.0.11 i spolszczenie r210 - phpBB3+pl.

Dziękujemy użytkownikowi spello za zgłoszenie błędu.
Potrzebujesz pomocy? Napisz na forum zamiast wysyłać komuś prywatną wiadomość lub pisać do kogoś przez jakiś komunikator.
Avatar użytkownika

LEW21

Papa SmerfPosty: 3078Dołączył(a): 18 cze 2006, o 12:17Lokalizacja: Warszawa

Re: phpBB3pl-r210 [dla 3.0.11]

Postprzez LEW21 » 13 wrz 2012, o 19:41 ·

Przygotowałem też paczki automatycznej aktualizacji phpBB, z wersji 3.0.2-3.0.10 do 3.0.11. Można je znaleźć tutaj: ftp://ftp.phpbb3.pl/phpBB/3.0/AUP/latest/

Od paczek z phpBB.com różnią się wyłącznie tym, że obok plików aktualizatora znajduje się katalog ze spolszczeniem - co oznacza, że podczas wgrywania plików z paczki stare pliki tłumaczenia zostaną zastąpione nowymi. Nie powinno to sprawiać problemów jeżeli nie zmienialiście niczego w plikach językowych samodzielnie, i nie instalowaliście zepsutych MODów. (Poprawne MODy nie modyfikują plików językowych, tylko dodają nowe.)
Potrzebujesz pomocy? Napisz na forum zamiast wysyłać komuś prywatną wiadomość lub pisać do kogoś przez jakiś komunikator.
Avatar użytkownika

LEW21

Papa SmerfPosty: 3078Dołączył(a): 18 cze 2006, o 12:17Lokalizacja: Warszawa

Re: phpBB3pl-r210 [dla 3.0.11]

Postprzez Hector » 17 wrz 2012, o 15:39 ·

LEW21 napisał(a):obok plików aktualizatora znajduje się katalog ze spolszczeniem - co oznacza, że podczas wgrywania plików z paczki stare pliki tłumaczenia zostaną zastąpione nowymi.

Skąd nagle taka zmiana? Zawsze była pełna automatyka, przecież większość z nas ma modyfikowane pliki językowe, nie wszystkie mody mają własne pliki i wcale nie są to "zepsute mody"
Avatar użytkownika

Hector

OsiłekPosty: 1623Dołączył(a): 19 paź 2011, o 11:36

Re: phpBB3pl-r210 [dla 3.0.11]

Postprzez LEW21 » 17 wrz 2012, o 16:59 ·

1. Tym razem paczki przygotowywałem ja, a nie napus.
2. Poprzednie paczki aktualizowały tylko te pliki spolszczenia, które zostały zmienione w angielskiej wersji - a zawsze zmienialiśmy kilka plików więcej. Oznacza to, że sporo naszych zmian było pomijanych, i skrypt mógłby mieć problemy z połączeniem zmian w sytuacji gdy na forum jest stary plik z np. 3.0.6, a w paczce jako stary mamy 3.0.10. A jeśli teraz by nie miał - nie zmienia to faktu, że za kilka wersji mógłby mieć.
3. To są zepsute mody. Poprawny mod powinien mieć własne pliki językowe i nie modyfikować istniejących - bo to m.in. upraszcza instalację oraz unika właśnie takich problemów podczas aktualizacji.
Potrzebujesz pomocy? Napisz na forum zamiast wysyłać komuś prywatną wiadomość lub pisać do kogoś przez jakiś komunikator.
Avatar użytkownika

LEW21

Papa SmerfPosty: 3078Dołączył(a): 18 cze 2006, o 12:17Lokalizacja: Warszawa

Re: phpBB3pl-r210 [dla 3.0.11]

Postprzez Hector » 17 wrz 2012, o 17:17 ·

A dałoby rade, umieść wykonanie spolszczenia, przez ręczną edycje plików?
Avatar użytkownika

Hector

OsiłekPosty: 1623Dołączył(a): 19 paź 2011, o 11:36

Re: phpBB3pl-r210 [dla 3.0.11]

Postprzez LEW21 » 17 wrz 2012, o 17:46 ·

Nie. Jak umiesz, to możesz sobie diffa zrobić, ale nie wspieramy takiej metody aktualizacji. Jeśli już masz zepsute MODy, lepiej skopiuj ich zmienne językowe i wklej do nowych plików. To mimo wszystko powinno być mniej roboty - bo zepsute MODy zazwyczaj dodają jednak nowe zmienne na końcu, a nasze zmiany są wszędzie.
Potrzebujesz pomocy? Napisz na forum zamiast wysyłać komuś prywatną wiadomość lub pisać do kogoś przez jakiś komunikator.
Avatar użytkownika

LEW21

Papa SmerfPosty: 3078Dołączył(a): 18 cze 2006, o 12:17Lokalizacja: Warszawa

Re: phpBB3pl-r210 [dla 3.0.11]

Postprzez Sammael » 18 wrz 2012, o 15:43 ·

W Code Changes dla danej wersji są zmiany również w plikach językowych (dla angielskiego, ale powinieneś sobie poradzić ze znalezieniem zmian w polskich plikach). Dodatkowo Win Merge http://winmerge.org/?lang=pl do porównywania plików i można zacząć ręcznie edytować langi.

Sammael

Posty: 1411Dołączył(a): 27 lip 2011, o 18:28

Re: phpBB3pl-r210 [dla 3.0.11]

Postprzez Ronnie » 18 wrz 2012, o 16:27 ·

Avatar użytkownika

Ronnie

Ort Hunter | Smerf GadułaPosty: 2751Dołączył(a): 10 kwi 2007, o 23:24Lokalizacja: Łódź

Re: phpBB3pl-r210 [dla 3.0.11]

Postprzez bakamon » 10 paź 2013, o 23:20 ·

Dziękuję za wskazówki, jeszcze nie dawno miałem ogromny problem z "rozgryzieniem mechanizmów "php...", dzięki za wszelkie wskazówki!

bakamon

NowyPosty: 2Dołączył(a): 10 paź 2013, o 23:02

Kto przegląda forum

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników i 1 gość

Zaloguj  •  Zarejestruj

cron